Version 4.0.26.22 (latest)

### Create a new board.

## Request

POST /boards Datatype Description Request HTTP Request body HTTP Body Expand HTTP Body definition... body [Board](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Board) Board Expand Board definition... can object Operations the current user is able to perform on this object content_metadata_id string Id of associated content_metadata record created_at string Date of board creation deleted_at string Date of board deletion description string Description of the board board_sections [BoardSection](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/BoardSection)\[\] id string Unique Id section_order string\[\] title string Title of the board updated_at string Date of last board update user_id string User id of board creator primary_homepage boolean Whether the board is the primary homepage or not query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: Board

Datatype Description (object) [Board](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Board) can object Operations the current user is able to perform on this object content_metadata_id string Id of associated content_metadata record created_at string Date of board creation deleted_at string Date of board deletion description string Description of the board board_sections [BoardSection](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/BoardSection)\[\] Expand BoardSection definition... can object Operations the current user is able to perform on this object created_at string Time at which this section was created. deleted_at string Time at which this section was deleted. description string Description of the content found in this section. board_id string Id reference to parent board board_items [BoardItem](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/BoardItem)\[\] Expand BoardItem definition... can object Operations the current user is able to perform on this object content_created_by string Name of user who created the content this item is based on content_favorite_id string Content favorite id associated with the item this content is based on content_metadata_id string Content metadata id associated with the item this content is based on content_updated_at string Last time the content that this item is based on was updated custom_description string Custom description entered by the user, if present custom_title string Custom title entered by the user, if present custom_url string Custom url entered by the user, if present dashboard_id string Dashboard to base this item on description string The actual description for display favorite_count integer Number of times content has been favorited, if present board_section_id string Associated Board Section id string Unique Id image_url string The actual image_url for display location string The container folder name of the content look_id string Look to base this item on lookml_dashboard_id string LookML Dashboard to base this item on order integer An arbitrary integer representing the sort order within the section title string The actual title for display url string Relative url for the associated content use_custom_description boolean Whether the custom description should be used instead of the content description, if the item is associated with content use_custom_title boolean Whether the custom title should be used instead of the content title, if the item is associated with content use_custom_url boolean Whether the custom url should be used instead of the content url, if the item is associated with content view_count integer Number of times content has been viewed, if present custom_image_data_base64 string (Write-Only) base64 encoded image data custom_image_url string Custom image_url entered by the user, if present use_custom_image boolean Whether the custom image should be used instead of the content image, if the item is associated with content id string Unique Id item_order string\[\] visible_item_order string\[\] title string Name of row updated_at string Time at which this section was last updated. id string Unique Id section_order string\[\] title string Title of the board updated_at string Date of last board update user_id string User id of board creator primary_homepage boolean Whether the board is the primary homepage or not

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 409: Resource Already Exists

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L117 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |